## gtk-qt-engine-trinity 3.5.13.2

=== debian/changelog ===
gtk-qt-engine-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:15:41 +0200

gtk-qt-engine-trinity (1:0.8-1ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

gtk-qt-engine-trinity (1:0.8-1ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 01 March 2009 23:14:00 -0600

gtk-qt-engine-trinity (1:0.8-1ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 04 Dec 2008 15:18:00 -0600

gtk-qt-engine (1:0.8-1ubuntu2) hardy; urgency=low

  * Added kubuntu_03_xembed_fix_flashplayer.diff:
    - Part of the global fix to make konqueror work with
      latest flashplayer

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 29 Jan 2008 11:54:58 +0100

gtk-qt-engine (1:0.8-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Install files in /usr/share instead of /usr/local/share directory.
    - Switched back to cdbs packaging for simple-patchsys
    - Included kubuntu_02_clean_kmenu_systemsettings_inclusion.diff
    - Included kubuntu_01_background_fix.diff
    - Added gtk2-engines-gtk-qt back in - we need this to do the LTS-->LTS
      transition
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 11 Nov 2007 23:11:32 +1100

gtk-qt-engine (1:0.8-1) unstable; urgency=low

  * New Upstream release, changes since the last SVN snapshot are:
    - Fix corrupt scrollbar ends on Firefox and Eclipse in the Domino style
    - Make buttons, checkboxes and radio buttons indicate keyboard focus
    - Fix icon loading code when dealing with multiple inheritance
    - Map more GTK icons
    - Setting a font with bold or italic options now works correctly
    - Fix a bug where menu checkmarks would be displayed as a series of
      horizontal lines

 -- Bastian Venthur <venthur@debian.org>  Tue, 30 Oct 2007 20:32:01 +0100

gtk-qt-engine (1:0.8~svn-rev36-2ubuntu2) gutsy; urgency=low

  * Added gtk2-engines-gtk-qt back in - we need this to do the LTS-->LTS
    transition

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 31 May 2007 00:24:53 -0500

gtk-qt-engine (1:0.8~svn-rev36-2ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Install files in /usr/share instead of /usr/local/share directory.
    - Switched back to cdbs packaging for simple-patchsys
    - Included kubuntu_02_clean_kmenu_systemsettings_inclusion.diff
    - Included kubuntu_01_background_fix.diff
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 18 May 2007 21:31:28 +1000

gtk-qt-engine (1:0.8~svn-rev36-2) unstable; urgency=low

  * Added dh_gtkmodules call to debian/rules (Closes: #419306)

 -- Bastian Venthur <venthur@debian.org>  Tue, 17 Apr 2007 09:37:50 +0200

gtk-qt-engine (1:0.8~svn-rev36-1) unstable; urgency=low

  * New SVN snapshot
    - Added Turkish translation
    - Added Bulgarian translation
    - Added Russian translation
    - Fix compilation on GCC 4.3 (Closes: #417219), thanks again Martin!
  * Dropped transitional package gtk2-engines-gtk-qt
  * Don't ship files in /usr/lib64 on such archs anymore (Closes: #417044)
  * Bumped gtk dependency (Closes: #419306)

 -- Bastian Venthur <venthur@debian.org>  Sun, 15 Apr 2007 17:06:25 +0200

gtk-qt-engine (1:0.8~svn-rev31-3) unstable; urgency=low

  * Upload to unstable
    - (Closes: #412279) "unusable with GTK+ 2.10" and many other bugs,
      already fixed in experimental.

 -- Bastian Venthur <venthur@debian.org>  Tue, 27 Feb 2007 13:17:34 +0100

gtk-qt-engine (1:0.8~svn-rev31-2) experimental; urgency=low

  * Added --as-needed CFLAG in order to reduce the dependencies

 -- Bastian Venthur <venthur@debian.org>  Tue, 27 Feb 2007 12:09:36 +0100

gtk-qt-engine (1:0.8~svn-rev31-1) experimental; urgency=low

  * New SVN snapshot
    - Added Italian translation
    - Fix button appearance in the Motif Plus style

 -- Bastian Venthur <venthur@debian.org>  Fri,  9 Feb 2007 13:17:22 +0100

gtk-qt-engine (1:0.8~svn-rev29-1) experimental; urgency=low

  * New SVN snapshot
    - Merged gtk-qt-engine-small-pixmaps.patch from SuSe.
    - Highlighted menu item are now always white. 

 -- Bastian Venthur <venthur@debian.org>  Mon, 15 Jan 2007 15:13:01 +0100

gtk-qt-engine (1:0.8~svn-rev27-1) experimental; urgency=low

  * New SVN snapshot
    - Merged fix-iconpaths.patch from suse. This fixes icon loading issues
      wit inherited icon themes.
      
  * Since gtk-qt-engine 0.8 will use cmake im closing libtoolbug.  
    (Closes: #342914)

 -- Bastian Venthur <venthur@debian.org>  Thu,  4 Jan 2007 13:29:13 +0100

gtk-qt-engine (1:0.8~svn-rev26-1) experimental; urgency=low

  * New upstream SVN snapshot
    - My toolbarfix.patch is now officially included, so removing it from
      debian/patches.

 -- Bastian Venthur <venthur@debian.org>  Fri,  8 Dec 2006 11:11:39 +0100

gtk-qt-engine (1:0.8~svn-rev25-2) experimental; urgency=low

  * Applied toolbarfix.patch in order to respect KDE's toolbar settings. 

 -- Bastian Venthur <venthur@debian.org>  Thu,  7 Dec 2006 12:44:35 +0100

gtk-qt-engine (1:0.8~svn-rev25-1) experimental; urgency=low

  * Snapshot from upstreams SVN, fixes many bugs including:
    - Switch the buildsystem from autotools to CMake. CMake 2.4 is now 
      required to build the project.
    - Fix scrollbar sliders in the Domino widget style
    - Fix a bug that caused Qt colours not to be applied to GTK applications. 
      This fixes several graphical problems when  using dark colour schemes. 
      (Closes: #395127)
    - Fix a bug that would disable Bonobo support even when the correct 
      packages were installed

