=== debian/control ===
Source: gtk-qt-engine-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 5.0), quilt, cdbs, kdelibs4-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
Standards-Version: 3.8.4

Package: gtk-qt-engine-trinity
Architecture: any
Provides: gtk2-engines-gtk-qt-trinity
Replaces: gtk-qt-engine-kde3 (<< 4:3.5.13)
Breaks: gtk-qt-engine-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: theme engine using Qt for GTK+ 2.x and Trinity
 The GTK-Qt Theme Engine (also known as gtk-qt-engine) is a GTK 2 theme engine
 that calls Qt to do the actual drawing. This makes your GTK 2 applications
 look almost like real Qt applications and gives you a more unified desktop
 experience.
 .
 Please note that this package is targeted at Trinity users and therefore provides
 a way to configure it from within KControl.
