=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/gtk-qt-engine-trinity::
	mkdir -p $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/.gtkrc-2.0-kde4 $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/.gtkrc-2.0-kde-kde4 $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/gtk-qt-engine.rc.sh $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
