## gtk-qt-engine-trinity 14.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project( gtk-qt-engine )
 
 set( PACKAGE gtk-qt-engine )
-set( VERSION R14.0.4 )
+set( VERSION R14.0.5 )
 
 
 ##### include essential cmake modules ###########
