=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: gtk-qt-engine-trinity
 Architecture: any
 Provides: gtk2-engines-gtk-qt-trinity
-Replaces: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
-Breaks: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
+Replaces: gtk-qt-engine-trinity (<< 4:14.0.0~)
+Breaks: gtk-qt-engine-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gtk3-tqt-engine-trinity
 Description: theme engine using Qt for GTK+ 2.x and Trinity
