## gtk-qt-engine-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project( gtk-qt-engine )
 
 set( PACKAGE gtk-qt-engine )
-set( VERSION R14.0.5 )
+set( VERSION R14.0.9 )
 
 
 ##### include essential cmake modules ###########
@@ -17,7 +17,9 @@
 include( CheckCXXSourceCompiles )
 include( CheckLibraryExists )
 include( CheckFunctionExists )
+include( CheckSymbolExists )
 include( CheckStructHasMember )
+
 
 ##### include our cmake modules #################
 
@@ -29,6 +31,7 @@
 
 include( TDESetupPaths )
 tde_setup_paths( )
+
 
 ##### set PKG_CONFIG_PATH #######################
 
@@ -47,8 +50,9 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
+
 
 INCLUDE (UsePkgConfig)
 
@@ -70,33 +74,6 @@
 	SET(BONOBO_DEFINITIONS -D HAVE_BONOBO)
 ENDIF (NOT BONOBO_INCLUDE_DIR)
 
-# Find msgfmt
-SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)
-FIND_PACKAGE(Msgfmt REQUIRED)
-
-# Find xgettext
-FIND_PROGRAM(
-	XGETTEXT_PATH
-	NAMES "xgettext"
-	PATHS "/usr/bin"
-)
-IF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
-	MESSAGE(STATUS "xgettext not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
-ELSE(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
-	MESSAGE(STATUS "Found xgettext: ${XGETTEXT_PATH}")
-ENDIF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
-
-# Find extractrc
-FIND_PROGRAM(
-	EXTRACTRC_PATH
-	NAMES "extractrc"
-	PATHS "/usr/bin"
-)
-IF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
-	MESSAGE(STATUS "extractrc not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
-ELSE(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
-	MESSAGE(STATUS "Found extractrc: ${EXTRACTRC_PATH}")
-ENDIF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
 
 # Work out where to install stuff
 EXEC_PROGRAM(
