=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gtk-qt-engine-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
+Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
 Standards-Version: 3.8.4
 
 Package: gtk-qt-engine-trinity
 Architecture: any
 Provides: gtk2-engines-gtk-qt-trinity
-Replaces: gtk-qt-engine-trinity (<< 4:14.0.0~)
-Breaks: gtk-qt-engine-trinity (<< 4:14.0.0~)
+Replaces: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
+Breaks: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gtk3-tqt-engine-trinity
 Description: theme engine using Qt for GTK+ 2.x and Trinity
