## gtk-qt-engine-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
@@ -6,7 +6,7 @@
 project( gtk-qt-engine )
 
 set( PACKAGE gtk-qt-engine )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########
