=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Aug 2021 00:22:15 +0200
