## gtk-qt-engine-trinity 14.0.13

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 14:52:09 +0200
