## gtk-qt-engine-trinity 14.1.0

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Feb 2023 16:11:33 +0100
