=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev (>= 2.10.1)
 Standards-Version: 3.8.4
 
 Package: gtk-qt-engine-trinity
