## gtk-qt-engine-trinity 14.1.2

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 11:37:34 +0200
