## gtk-qt-engine-trinity 14.1.5~pre3

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 65bd98334c1de4629a3ff37b784daa762162a821
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
