## gtk-qt-engine-trinity 14.1.6~pre1

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 19a59de81f4ab21bd47fe00bf825095f323e701f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:14:14 +0100
