## gtk-qt-engine-trinity 14.2.0~pre42

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.2.0~pre42-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 38f56e9703f14d024e616d47bd5c68dd88b9169b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
