## gtk-qt-engine-trinity 14.2.0~pre43

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.2.0~pre43-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ef336a9b1479cdfdcffa008d38081c469b0d3f95
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:33 +0100
